﻿using ManageLiteAV;
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Media.Imaging;

namespace JianGongYun.TRTC.Models
{
    public class TRTCScreenEntity
    {
        //
        // 摘要:
        //     采集源类型
        public TRTCScreenCaptureSourceType Type { get; set; }
        //
        // 摘要:
        //     采集源ID；对于窗口，该字段指示窗口句柄；对于屏幕，该字段指示屏幕ID
        public IntPtr SourceId { get; set; }
        //
        // 摘要:
        //     采集源名称，UTF8编码
        public string SourceName { get; set; }
        //
        // 摘要:
        //     缩略图内容
        public WriteableBitmap Thumb { get; set; }
        //
        // 摘要:
        //     图标内容
        public WriteableBitmap Icon { get; set; }
        /// <summary>
        /// 源数据
        /// </summary>
        public TRTCScreenCaptureSourceInfo Info { get; set; }
    }
}
